/* Menu principal */
.header-logo {
  max-width: 140px;
  display: block;
  margin: 0;
  justify-content: center;
}

.navbar {
  background-color: #fff;
}

.custom-nav {
  background-color: #fff;
}

.custom-menu {
  list-style: none !important;
  padding: 0;
  margin: 0;
}

.custom-menu-item>a.nav-link {
  font-size: 16px;
  font-weight: 600;
  line-height: 32px;
  transition: all 0.3s ease;
  color: var(--e-global-color-931db69);
  border-radius: 0;
  min-height: 60px;
  /* Alinhar itens */
  display: flex;
  align-items: center;
  justify-content: center;
}

.custom-menu-item>a.nav-link:hover {
  background-color: #22E3EF;
  font-weight: 600;
  min-height: 60px;
  color: #141414;
  border-radius: 0;
}

/* Submenu */
.dropdown-menu.custom-sub-menu {
  background-color: var(--color-secondary-01);
  border: none;
  box-shadow: none;
  min-width: 220px;
  border-radius: 0;
}

.dropdown-menu.custom-sub-menu a {
  color: var(--color-secondary-08);
  font-weight: 500;
  min-height: 40px;
  /* Alinhar itens */
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.dropdown-menu.custom-sub-menu a:hover {
  background-color: #22E3EF;
  font-weight: 700;
}

.dropdown-submenu {
  position: relative;
}

.dropdown:hover>.dropdown-menu {
  display: block !important;
}

.dropdown-menu li a.active {
  color: #fff;
}

.custom-toggle-arrow {
  font-size: 18px;
  margin-top: 1px;
  line-height: 12px;
}

/* submenus abrem à direita */
.dropdown-submenu:hover>.dropdown-menu {
  position: absolute;
  display: block !important;
  top: 0;
  left: 100%;
  margin-left: .1rem;
  margin-top: -6px;
  /* ajuste fino */
  min-width: 220px;
  z-index: 200;
}

.dropdown-submenu .dropdown-menu.show {
  display: block;
}

/* estilo do botão split (setinha) */
.dropdown-toggle-split {
  border: none;
  background: transparent;
  padding: 0 .5rem;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
}

/* hover visual */
.dropdown-toggle-split:hover {
  background: #22E3EF;
}

.header-busca {
  /* Alinhar itens */
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.menu-icon-a {
  visibility: visible;
}

.menu-icon-b {
  visibility: hidden;
}

.submenu-icon {
  position: absolute;
  visibility: hidden;
}

/* comportamento em telas pequenas: submenus passam a ficar no fluxo (vertical) */
@media screen and (max-width: 990px) {
  .dropdown-submenu>.dropdown-menu {
    position: static;
    left: auto;
    top: auto;
    margin-left: 5px;
    margin-top: 0px;
    display: block;
  }

  .menu-icon-a {
    visibility: hidden;
    position: absolute;
  }

  .menu-icon-b {
    visibility: visible;
  }

  .submenu-icon {
    visibility: visible;
    position: inherit;
    margin-left: 5px;
    margin-right: 2px;
    font-size: xx-small;
  }

  /* .conteudo {
    padding-top: 130px;
  } */
}

/* Footer styles */

/* Footer base */
.site-footer {
  background-color: #18355e;
  color: #fff;
}

/* Títulos (h2) */
.site-footer .footer-title {
  font-size: 18px;
  margin-bottom: 0.75rem;
  font-weight: 600;
  line-height: 24px;
}

.site-footer .footer-title a {
  color: rgb(34, 227, 239);
  text-decoration: none;
}

.site-footer .footer-title a:hover {
  color: #fff;
}

/* Menus */
.site-footer .footer-menu {
  list-style: none;
  padding: 0;
  margin: 0;
  font-size: 16px;
  line-height: 16px;
}

.site-footer .footer-menu li {
  margin: 1rem 0;
}

.site-footer .footer-menu a {
  color: #fff;
  text-decoration: none;
  transition: color 0.2s;
  font-weight: 600;
}

.site-footer .footer-menu a:hover {
  color: rgb(34, 227, 239);
}

/* Bloco extra do footer */
/* .footer-extra {
  background-color: #0c2a53;
  width: 100%;
  height: 100%;
  margin-left: calc(-50vw + 50%);
  margin-right: calc(-50vw + 50%);
  padding: 4px 4px 4px 4px;
} */


/* Bloco extra do footer */
/* .footer-extra {
  background-color: #0c2a53;
  width: 100%;
  position: relative;
} */

.footer-logo {
  max-width: 140px;
  height: auto;
  display: block;
  margin: 0;
}

.footer-extra {
  padding-block: 40px;
}

.footer-extra .footer-title {
  color: rgb(34, 227, 239);
  margin-top: unset !important;
}

.footer-social a {
  display: inline-block;
  margin: 0 8px;
  font-size: 1.5rem;
  color: #fff;
  transition: color 0.2s;
}

.footer-social a:hover {
  color: rgb(34, 227, 239);
}

.conteudo {
  padding-top: 130px;
}

/* comportamento em telas pequenas: submenus passam a ficar no fluxo (vertical) */
@media screen and (max-width: 990px) {
  .conteudo {
    padding-top: 95px;
  }
}

#catalogo iframe {
  width: 100%;
  min-height: 80vh;
  pointer-events: auto;
  position: relative;
  z-index: 100;
}

/* Carousel styles */

#carouselEpigrafes {
  z-index: 0;
}

/* Suaviza a transição de opacidade no modo fade */
#carouselEpigrafes.carousel-fade .carousel-item {
  transition-property: opacity;
  transition-duration: 0.8s;
  /* Ajuste aqui a velocidade do fade */
}

/* Remove a borda padrão do blockquote se o seu tema tiver */
#carouselEpigrafes .blockquote {
  border: none;
  margin-bottom: 0;
}

/* Mostrar cursor pointer no link do footer */
#carouselEpigrafes .blockquote-footer a {
  cursor: pointer;
}

#carouselEpigrafes .blockquote-footer a:hover {
  text-decoration: underline;
}

/* Estilo para as aspas decorativas (opcional) */
#carouselEpigrafes .blockquote p::before {
  content: "\f10d";
  /* Ícone de aspas do FontAwesome se você usar */
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
  opacity: 0.2;
}

/* Estilo para o fechamento das aspas decorativas */
#carouselEpigrafes .blockquote p::after {
  content: "\f10e";
  /* Ícone de aspas fechando do FontAwesome */
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-left: 10px;
  opacity: 0.2;
}

/* Garante que o carrossel respeite a profundidade do Elementor */
.carousel-control-prev,
.carousel-control-next {
  z-index: 0;
  cursor: pointer !important;
}

.carousel-item {
  backface-visibility: hidden;
  /* Evita tremores no fade */
}